Web lists-archives.com

Re: [Samba] /usr/lib/x86_64-linux-gnu/samba/ldb : No such file or directory




Hai, 

I saw few more, comment on it and i'll check if i can make a patch for it. 

Winbind needs a fix also:
For the proxy server setup i only need winbind
apt-get install --no-install-recommends winbind 
The following NEW packages will be installed:
  libwbclient0 python-samba samba-common samba-common-bin samba-libs winbind

apt-get install winbind
The following NEW packages will be installed:
  libwbclient0 python-samba samba-common samba-common-bin samba-libs winbind

in both cases results in log.wb-NTDOM
ldb: unable to stat module /usr/lib/x86_64-linux-gnu/samba/ldb : No such file or directory

Is samba-dsdb-modules needed for a winbind only install? 
Installing it fixed the log message. 

Samba: ( AS MEMBER file server )
apt-get install samba
The following NEW packages will be installed:
  libwbclient0 python-samba samba samba-common samba-common-bin samba-dsdb-modules samba-libs samba-vfs-modules


apt-get install --no-install-recommends samba
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
  libarchive13 liblzo2-2
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
  libwbclient0 python-samba samba-common samba-common-bin samba-libs
Suggested packages:
  ctdb ldb-tools smbldap-tools winbind heimdal-clients
Recommended packages:
  samba-dsdb-modules samba-vfs-modules
The following NEW packages will be installed:
  libwbclient0 python-samba samba samba-common samba-common-bin samba-libs


looks to mee samba-dsdb-modules should be installed always
Ony recommended packages: samba-vfs-modules
And make samba-dsdb-modules obligated to install

For samba member thats all ok, execpt you need samba-vfs-modules to 

Samba: ( as ADDC server )
apt-get install --no-install-recommends samba
i did preffer the obsolete samba-ad-dc transition package.
Where the AD DC must have samba-dsdb-modules and samba-vfs-modules to my believe. 

I'll check some more, i you have other questions let me know. 
Or if things are incorrect, please correct me. 


Greetz, 

Louis




> -----Oorspronkelijk bericht-----
> Van: Jelmer Vernoo?? [mailto:jelmer@xxxxxxxxx]
> Verzonden: dinsdag 31 januari 2017 23:35
> Aan: Andrew Bartlett
> CC: L.P.H. van Belle; samba@xxxxxxxxxxxxxxx
> Onderwerp: Re: [Samba] /usr/lib/x86_64-linux-gnu/samba/ldb : No such file
> or directory
> 
> On Wed, Feb 01, 2017 at 07:27:31AM +1300, Andrew Bartlett via samba wrote:
> > On Tue, 2017-01-31 at 14:13 +0100, L.P.H. van Belle via samba wrote:
> > > No, its a packaging bug.
> > >
> > > Harmless if you install the needed extra package.
> >
> > Patches to the debian package (where all this started) are most
> > welcome.  I think we need a samba-ad-dc meta package that depends on
> > all the right bits.
> 
> I'm not sure what version of the package this comment was referring
> to. With the current versions in testing the samba package
> recommends samba-dsdb-modules and samba-vfs-modules, which means they
> get installed by default.
> 
> Cheers,
> 
> Jelmer


-- 
To unsubscribe from this list go to the following URL and read the
instructions:  https://lists.samba.org/mailman/options/samba